## org.firebirdsql.gds
Interface BlobParameterBuffer

All Known Implementing Classes:
  BlobParameterBufferImp, BlobParameterBufferImp

    public interface BlobParameterBuffer

Instance of this interface represents a BLOB Parameter Buffer from the Firebird API documentation and specifies attributes for `GDS.iscCreateBlob2(IscDbHandle, IscTrHandle, IscBlobHandle, BlobParameterBuffer)` or `GDS.iscOpenBlob2(IscDbHandle, IscTrHandle, IscBlobHandle, BlobParameterBuffer)` operations.

Two features are available:

- Specifying the source and target BLOB types (server uses BLOB filters to perform the conversion)
- Specifying type of the BLOB - either segmented or stream. The only visible to user difference between segmented and stream BLOBs is the fact that "seek" operation is not defined for segmented BLOBs (see `GDS.iscSeekBlob(IscBlobHandle, int, int)` for more details).

Field Summary
`static int` `FILTER_PARAMETER`
`static int` `SOURCE_INTERP`
`static int` `SOURCE_TYPE`
`static int` `TARGET_INTERP`
`static int` `TARGET_TYPE`
`static int` `TYPE`
`static int` `TYPE_SEGMENTED`
`static int` `TYPE_STREAM`

Method Summary
`void` `addArgument(int argumentType)` Set a void (valueless) parameter on this `BlobParameterBuffer`.
`void` `addArgument(int argumentType, int value)` Set an `int` parameter on this `BlobParameterBuffer`.
`void` `addArgument(int argumentType, String value)` Set a `String` parameter on this `BlobParameterBuffer`.

Field Detail

### SOURCE_TYPE

    static final int SOURCE_TYPE

See Also:
  Constant Field Values

### TARGET_TYPE

    static final int TARGET_TYPE

See Also:
  Constant Field Values

### SOURCE_INTERP

    static final int SOURCE_INTERP

See Also:
  Constant Field Values

### TARGET_INTERP

    static final int TARGET_INTERP

See Also:
  Constant Field Values

### FILTER_PARAMETER

    static final int FILTER_PARAMETER

See Also:
  Constant Field Values

### TYPE

    static final int TYPE

See Also:
  Constant Field Values

### TYPE_SEGMENTED

    static final int TYPE_SEGMENTED

See Also:
  Constant Field Values

### TYPE_STREAM

    static final int TYPE_STREAM

See Also:
  Constant Field Values

Method Detail

### addArgument

    void addArgument(int argumentType)

  Set a void (valueless) parameter on this `BlobParameterBuffer`.

  Parameters:
    `argumentType` - The parameter to be set, either an `ISCConstantsone.isc_bpb_*` constant, or one of the fields of this interface

### addArgument

    void addArgument(int argumentType,
                     String value)

  Set a `String` parameter on this `BlobParameterBuffer`.

  Parameters:
    `argumentType` - The parameter to be set, either an `ISCConstantsone.isc_bpb_*` constant, or one of the fields of this interface
    `value` - The value to set for the given parameter

### addArgument

    void addArgument(int argumentType,
                     int value)

  Set an `int` parameter on this `BlobParameterBuffer`.

  Parameters:
    `argumentType` - The parameter to be set, either an `ISCConstantsone.isc_bpb_*` constant, or one of the fields of this interface
    `value` - The value to set for the given parameter

Copyright © 2001-2010. All Rights Reserved.